	program moving
       interface operator ( .runningaverage. )
           function series ( rough, run ) result ( smooth )
             real,    dimension ( size(rough) )   :: smooth
             end function series
       end interface
      end
